﻿Imports System.Windows.Threading
Imports MVVM_Demo.ViewModel

Public Class Window1Service
    Implements IWindow1Service

    Private window As Window1 = New Window1()

    Public Sub Show() Implements IWindowService.Show
        window?.Show()
    End Sub

    Public Sub Hide() Implements IWindowService.Hide
        window?.Hide()
    End Sub

    Public Sub Close() Implements IWindowService.Close
        window?.Close()
    End Sub

    Public Function GetDataContext() As Window1ViewModel Implements IWindow1Service.GetDataContext
        Return DirectCast(window.DataContext, Window1ViewModel)
    End Function

    Public Function GetDispatcher() As Dispatcher Implements IWindowService.GetDispatcher
        Return window.Dispatcher
    End Function

End Class
