﻿Imports System.Windows.Threading
Imports MVVM_Demo.ViewModel

Public Class Window2Service
    Implements IWindow2Service

    Private window As Window2 = New Window2()

    Public Sub Show() Implements IWindowService.Show
        window?.Show()
    End Sub

    Public Sub Hide() Implements IWindowService.Hide
        window?.Hide()
    End Sub

    Public Sub Close() Implements IWindowService.Close
        window?.Close()
    End Sub

    Public Function GetDataContext() As Window2ViewModel Implements IWindow2Service.GetDataContext
        Return DirectCast(window.DataContext, Window2ViewModel)
    End Function

    Public Function GetDispatcher() As Dispatcher Implements IWindowService.GetDispatcher
        Return window.Dispatcher
    End Function

End Class
